PO4A-TRANSLATE.1P(1)

NOMBRE
po4a-translate - Convierte un fichero PO al formato de la documentación

SINOPSIS
po4a-translate -f formato -m original.doc -p XX.po -l XX.doc

(XX.doc es la salida, todos los otros son entrada)

DESCRIPCIÓN
El objetivo del proyecto po4a («PO for anything», PO para todo) es facilitar la traducción (y más interesante, el mantenimiento de las traducciones) usando las herramientas de gettext en ámbitos dónde no previstos, como la documentación.

El script po4a-translate se encarga de convertir la traducción (que se hizo en un fichero PO) de vuelta al formato de la documentación. El fichero PO proporcionado debe ser la traducción del fichero POT que se produjo con po4a-gettextize(1).

OPCIONES

-f, --format
    El formato de la documentación que desea tratar. Use la opción --help-format para ver la lista de los formatos disponibles.

-a, --addendum
    Añade un fichero al fichero resultante (para poner el nombre del traductor o una sección «Acerca de esta traducción», por ejemplo). La primera línea del fichero a insertar debe ser la cabecera PO4A indicando dónde se debe insertar (consulte la sección Cómo añadir texto adicional a las traducciones en po4a(7)).

-A, --addendum-charset
    El juego de caracteres del apéndice. Todos los apéndices deben usar el mismo juego de caracteres.

-m, --master
    El fichero que contiene el documento original a traducir.

-M, --master-charset
    El juego de caracteres del fichero que contiene el documento a traducir.

-l, --localized
    El fichero donde se debe escribir el documento localizado (traducido).

-L, --localized-charset
    El juego de caracteres del fichero que contiene la versión localizada del documento.

-p, --po
    El fichero del que se debe leer el catálogo de mensajes.

-o, --option
    Opción(es) adicionales a introducir a la extensión del formato. Consulte la documentación de cada extensión para más información acerca de las opciones aceptadas y su significado. Por ejemplo, puede pasar '-o tablecells' al intérprete AsciiDoc, mientras que el intérprete de texto aceptaría '-o tabs=split'.

-k, --keep
    El umbral mínimo del porcentaje de traducción para preservar (es decir, escribir) el fichero resultante (predefinido: 80). Es decir, por omisión los ficheros deben estar traducidos como mínimo en un 80% para que se escriba el fichero resultante.

-w, --width
    La columna en la que se debe empaquetar el archivo de salida, en caso de que el formato lo admita (el valor predeterminado es 76). Si el valor especificado es 0 o negativo, el archivo de salida no se empaquetará en absoluto. Esto es útil en el caso de algunos formatos que se corrompen al volver a empaquetarlos.

-h, --help
    Muestra un mensaje corto de ayuda.

--help-format
    Listado de formatos de documentación reconocidos por po4a.

-V, --version
    Muestra la versión del script y cierra.

-v, --verbose
    Aumenta la cantidad de mensajes informativos del programa.

-d, --debug
    Devuelve por la salida información de depuración de fallos.

Añadir contenido (aparte de las traducciones) a los ficheros generados
Para añadir algún contenido adicional al documento generado además de lo traducido (como el nombre del traductor, o una sección «Sobre ésta traducción»), debe usar la opción --addendum.

La primera línea de un apéndice («addendum») debe ser una cabecera indicando en qué parte del documento se debe insertar (puede ser antes o después de una parte del documento). El resto del fichero se insertará tal cual al fichero resultante sin ningún procesado adicional.

Tenga en cuenta que si po4a-translate no puede añadir uno de los ficheros dados, descarta la traducción entera (porque el fichero que falta puede ser el que contenía los datos del autor, lo que impediría a los usuarios contactar con él para informarle de errores en la traducción).

La cabecera tiene una sintaxis bastante rígida. Para más información sobre cómo usar esta característica y su funcionamiento, consulte la página de manual po4a(7).

VÉASE TAMBIÉN
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCCION
 Jordi Vilalta <jvprat@gmail.com>
 Omar Campagne <ocampagne@gmail.com>

DERECHO DE COPIA Y LICENCIA
Copyright 2002-2023 por SPI, inc.

Este programa es software libre; puede redistribuirlo y/o modificarlo bajo los términos de la GPL v2.0 o posterior (consulte el archivo COPYING).